Mandrake Linux Security Advisory : ImageMagick (MDKSA-2006:024)

High Nessus Plugin ID 20818


The remote Mandrake Linux host is missing one or more security updates.


The delegate code in ImageMagick 6.2.4.x allows remote attackers to execute arbitrary commands via shell metacharacters in a filename that is processed by the display command. (CVE-2005-4601)

A format string vulnerability in the SetImageInfo function in image.c for ImageMagick 6.2.3, and other versions, allows user-complicit attackers to cause a denial of service (crash) and possibly execute arbitrary code via a numeric format string specifier such as %d in the file name, a variant of CVE-2005-0397, and as demonstrated using the convert program. (CVE-2006-0082)

The updated packages have been patched to correct these issues.


Update the affected packages.

Plugin Details

Severity: High

ID: 20818

File Name: mandrake_MDKSA-2006-024.nasl

Version: $Revision: 1.12 $

Type: local

Published: 2006/01/29

Modified: 2015/03/19

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:ImageMagick, p-cpe:/a:mandriva:linux:ImageMagick-doc, p-cpe:/a:mandriva:linux:lib64Magick8.4.2, p-cpe:/a:mandriva:linux:lib64Magick8.4.2-devel, p-cpe:/a:mandriva:linux:libMagick8.4.2, p-cpe:/a:mandriva:linux:libMagick8.4.2-devel, p-cpe:/a:mandriva:linux:perl-Image-Magick, cpe:/o:mandriva:linux:2006

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2006/01/26

Reference Information

CVE: CVE-2005-4601, CVE-2006-0082, CVE-2006-2440

BID: 12717, 16093

MDKSA: 2006:024